@font-face {
    font-family: 'Nunito';
    src: url('/static/Nunito-Regular.ttf');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Nunito-Medium';
    src: url('/static/Nunito-Medium.ttf');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Nunito-Bold';
    src: url('/static/Nunito-Bold.ttf');
}
@font-face {
    font-family: 'Nunito-SemiBold';
    src: url('/static/Nunito-SemiBold.ttf');
}
@font-face {
    font-family: 'Nunito-Light';
    src: url('/static/Nunito-Light.ttf');
}
@font-face {
    font-family: 'Poppins';
    src: url('/static/Poppins-Regular.ttf');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Poppins-SemiBold';
    src: url(/static/Poppins-SemiBold.ttf);
}
@font-face {
    font-family: 'Poppins-Medium';
    src: url(/static/Poppins-Medium.ttf);
}

:root {
    --primary-color: #4361ee;
    --secondary-color: #3f37c9;
    --hover-color: #4895ef;
    --bg-color: #f8f9fa;
    --text-color: #333;
    --item-hover: #edf2fb;
    --transition-speed: 0.3s;
}

body {
    font-family: 'Nunito', sans-serif;
    margin: 0; /* Remove default margin */
    /* padding: 20px; */
    background-color: #F4F4FF; 
    color: #222266; /* Set text color */
    overflow-x: hidden;
}
h1, h2, h3, h4 {
    font-family: 'Poppins-SemiBold', sans-serif;
}
h1{
    font-size: 3.2rem;
}
form {
    margin-bottom: 20px;
    padding: 15px;
    border: 0px solid #ddd;
    border-radius: 5px;
    background-color: #fff; /* Form background remains white */
}
label, p {
    font-family: 'Nunito', sans-serif;
    display: block;
    margin: 10px 0 5px;
    color: #222266;
}

label{
    font-family: 'Nunito', sans-serif;
}
p{
    font-family: 'Nunito-Light', sans-serif;
}
span b{
    font-family: 'Nunito-Bold' , sans-serif;
}
button {
    padding: 10px 15px;
    color: #fff;
    background-color: #007BFF;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}
button:hover {
    background-color: #0056b3;
}
.button1 {
    margin: 10px;
    font-size: 16px;
    width: 250px; /* Standardized button width */
    padding: 10px 15px;
    color: #fff;
    background-color: #7f7f7f;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    }
.button1:hover {
color: #000000;
    background-color: #b2b2b2;
}
.button2 {
padding: 8px 12px; /* Compact padding */
font-size: 14px; /* Smaller font size */
color: #fff;
background-color: #007BFF;
border: none;
border-radius: 4px;
cursor: pointer;
width: 150px; /* Reduced width */
}
.button2:hover {
background-color: #0056b3;
}
.main-content {
    flex-grow: 1;
    padding: 20px;
    width: 100%;
    margin-top: 70px;
    z-index: 2;
}
.container { 
max-width: 600px; 
margin: 0 auto; 
padding: 20px; 
}
.section { margin: 40px 0; }
.section h2 { margin-bottom: 10px; }
pre {
    background-color: #fff;
    padding: 10px;
    border-radius: 4px;
}
.error {
    color: red;
    font-weight: bold;
}
.eval {
    color: blue;
    font-weight: bold;
    padding: 15px; /* Padding for spacing */
    border: 2px solid #007BFF; /* Blue border for the frame */
    border-radius: 5px; /* Rounded corners */
    background-color: #f0f8ff; /* Light background for contrast */
    margin-top: 15px; /* Space above the evaluation box */
    margin-bottom: 15px; /* Space below the evaluation box */
max-width: 600px;
}
.plot-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 20px;
    margin-bottom: 30px;
}
.plot-container div {
    text-align: center;
    border: 1px solid #ddd;
    border-radius: 5px;
    padding: 10px;
    background-color: #fff;
}
.plot-container img {
    max-width: 100%;
    height: auto;
    border-radius: 5px;
}
.actions {
    margin-top: 20px;
}
.actions form {
    display: inline;
}
.user-container {
display: flex;
align-items: center;
justify-content: space-between;
}

.icon-profile {
width: 40px; 
height: auto;
margin-right: 10px; /* Add space between the logo and user info */
}
.icon-logo {
position: absolute;
top: 10px; 
left: 20px;
width: 50px; 
height: auto; 
margin-right: 10px; 
}

.user-info {
font-size: 14px; /* Smaller font size for user info */
color: #555; /* Subtle text color */
text-align: left; /* Align text to the left */
}

/* Tab styles */
.tab {
    display: none;
}
.tab-buttons {
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
}
.tab-button {
    padding: 10px 20px;
    background-color: #007BFF;
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 4px;
    margin: 0 5px;
}
.tab-button:hover {
    background-color: #0056b3;
}
.active-tab {
    background-color: #0056b3;
}
table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 20px;
}
th, td {
    padding: 12px;
    border: 1px solid #ddd;
    text-align: center;
    width: auto;
}
th {
    background-color: #f2f2f2;
}
section {
    margin: 20px auto;
    padding: 20px;
    max-width: 1000px;
    background-color: #fff;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
}
    p {
    margin: 10px 0;
}
ul {
    margin: 10px 0 20px;
    padding-left: 20px;
}
caption {
    font-size: 24px;
    margin-bottom: 10px;
}
footer {
    text-align: center;
    margin: 20px 0;
    color: #666;
}
select, input[type="text"], input[type="number"], input[type="file"], input[type="password"],input[type="date"],input[type="email"] {
    width: 20%;
    padding: 10px;
    margin-bottom: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
}
.logo { 
    width: 250px; 
    height: auto; 
    margin: 20px auto; 
    display: block; 
}
.text-link {
    display: inline-block;
    margin: 10px;
    font-size: 12px;
    font-weight: bold;
    color: #222266;
    text-decoration: none !important;
    transition: color 0.3s, text-decoration 0.3s;
}
.text-link:hover {
    color: #0056b3;
    text-decoration: underline;
}
.hidden {
    display: none;
}
.select2 {
    width: 90px;
    padding: 10px;
    margin-bottom: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
}
    .sp-input {
        width: 120px !important;
        padding: 10px;
        margin-bottom: 10px;
        border: 1px solid #ccc;
        border-radius: 4px;
}

button.btn-primary, a.btn-primary{
    background-color: #222266;
    border: 1px solid #222266;
    color: #fff;
    border-radius: 40px;
    font-family: Poppins;
    padding: 5px 30px;
    margin: 0 15px;
}

button.btn-primary:hover , a.btn-primary:hover{
    background-color: #2b2bbf;
    border: 1px solid #2b2bbf;
}

.card{
    max-width: 450px;
    transition: filter 0.3s ease-in-out;
}

.card .row{
    padding: 1rem;
}

.card a *{
    display: flex;
    flex-direction: row;
}

.card:hover{
    filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
}
.card-text{
    text-align: start;
}

.chart-img{
    max-width: 100%;
    height: auto;
    width: 70%;
}

.top-bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: row;
    width: 100%;
    padding: 20px;
    position: fixed;
    top: 0;
    right: 0;
    background-color: transparent;
    z-index: 5;
}

#toggleBtn:hover{
    border: none;
}

.offcanvas {
    --bs-offcanvas-width: 350px !important;
    border-right: none;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    background-color: var(--bg-color);
}

.offcanvas-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1.5rem 1.5rem !important;
    border-bottom: 1px solid #eaeaea;
}

.logo-container {
    display: flex;
    align-items: center;
    gap: 10px;
}

.offcanvas-body {
    padding: 1.5rem 1rem;
}

.nav-link {
    display: flex;
    align-items: center;
    padding: 0.8rem 1rem;
    color: var(--text-color);
    border-radius: 8px;
    transition: all var(--transition-speed) ease;
    cursor: pointer;
    margin-bottom: 5px;
    position: relative;
}

.nav-link:hover {
    background-color: var(--item-hover);
    color: var(--primary-color);
}

.nav-link.active {
    background-color: var(--primary-color);
    color: white;
}

.nav-link i {
    margin-right: 10px;
    font-size: 1.1rem;
}

.submenu {
    list-style: none;
    padding-left: 40px;
    max-height: 0;
    overflow: hidden;
    transition: max-height var(--transition-speed) ease-in-out;
}

.submenu.open {
    max-height: 100%;
}

.submenu li {
    padding: 0.6rem 0.5rem;
    margin-bottom: 1rem;
    cursor: pointer;
    transition: all var(--transition-speed) ease;
    font-size: 0.9rem;
    color: #666;
}

.submenu li:hover {
    background-color: var(--item-hover);
    color: var(--primary-color);
}

.submenu li a{
    color: #222266;
}

.nav-item {
    position: relative;
}

.arrow {
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
    transition: transform var(--transition-speed) ease;
    font-size: 2rem;
}

.arrow.open {
    transform: translateY(-50%) rotate(90deg);
}

#expandBtn{
    cursor: pointer;
}

.alert.alert-danger.alert-dismissible .btn-close:hover{
    background-color: #f2adb3 !important;
}

.btn-close.text-reset:hover{
    background-color: transparent !important;
}

.com-text{
    color: #C88FD8;
    font-family: 'Poppins-Medium';
    width: 100%
}

.underline, .underline-main{
    position: relative;
    margin-bottom: 1rem;
}

.underline:after,.underline-main::after{
    content: "";
    display: block;
    width: 90%;
    height: 2px;
    position: absolute;
    bottom: -12px;
    left: 20px;
}

.underline-main::after{
    background-color: #C88FD8;
}

.underline::after{
    background-color: #1A1A55;
}

.result-templateText{
    width: 100%;
    height: 400px;
    justify-content: center;
    align-items: center;
    color: #D4D4D4;
    font-family: 'Poppins-Medium';
    font-size: 24px;
}

#dropZone,#dropZone_real,#dropZone2{
    width: 100%;
    height: auto;
    background: #FFFFFF;
    border: 1px dashed #D5D5D5;
    padding: 10px;
    text-align: center;
    cursor: pointer;
}

#dropZone.highlight, #dropZone_real.highlight, #dropZone2.highlight {
    border-color: purple;
    background-color: #eee;
}

#file-display,#file-display_real,#file-display2 {
    text-align: center;
    margin-top: 20px;
}

.upload-file-box,.upload-file-box label{
    cursor: pointer;
}

.div-command,.div-result{
    flex: 0 0 auto;
}

.div-command{
    width: 30%;
    height: 600px;
    overflow-y: scroll;
}

.div-result{
    width: 65%;
    margin-left: 20px;
    padding: 15px;
    height: 600px;
    overflow: scroll;
}

.data-results{
    padding: 0 20px 0 20px;
}


.accordion-item,
.accordion-collapse,
.accordion {
border: none !important;
--bs-accordion-border-width: 0 !important;
--bs-accordion-btn-focus-border-color: transparent !important;
--bs-accordion-bg: transparent !important;
--bs-accordion-active-bg: transparent !important;
--bs-accordion-border-color: transparent !important;
}

.accordion-item h2 button.accordion-button:hover,
.accordion-item h2 button.accordion-button:not(.collapsed),
.accordion-item h2 .accordion-button:focus,
.accordion-item h2 .accordion-button.collapsed,
.accordion-button:focus {
background-color: transparent !important;
border-color: transparent !important;
box-shadow: none !important;
outline: none !important;
}

.accordion-button::after {
background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16"><path fill="currentColor" d="M8 1v14M1 8h14" stroke="%23226" stroke-width="2"/></svg>') !important;
}

.accordion-button:not(.collapsed)::after {
background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16"><path fill="currentColor" d="M1 8h14" stroke="%23226" stroke-width="2"/></svg>') !important;
}

.accordion-button{
color : #222266;
}
.info-icon {
  position: relative;
  display: inline-block;
  cursor: pointer;
  vertical-align: super;
}

.info-icon img {
  width: 12px;
  height: 12px;
}

.info-icon .tooltip-text {
  visibility: hidden;
  opacity: 0;
  font-size: 12px;
  line-height: 1.3;
  max-width: 160px;
  width: max-content;
  background-color: #555;
  color: #fff;
  text-align: left;
  padding: 8px 10px;
  border-radius: 6px;
  position: absolute;
  z-index: 1;
  left: 50%;                          /* Center horizontally */
  bottom: 125%;                       /* Position above the icon */
  transform: translateX(-50%);        /* Center the box */
  transition: opacity 0.3s ease-in-out;
  white-space: normal;
  word-wrap: break-word;
  box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.3);
}


.info-icon:hover .tooltip-text {
  visibility: visible;
  opacity: 1;
}